%define major	%{version}
%define libname	%mklibname slopy %{major}
%define devname	%mklibname slopy -d

Name:		slop
Version:	7.6
Release:	%mkrel 2
Summary:	Command line tool to perform region SeLect OPeration with mouse
Group:		Development/Tools
License:	GPLv3
URL:		https://github.com/naelstrof/slop
Source0:	https://github.com/naelstrof/slop/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrender)

%description
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

%package -n	%{libname}
Summary:	Library to perform region SeLect OPeration with mouse
Group:		System/Libraries

%description -n	%{libname}
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

This sub-package contains libslopy library.

%package -n	%{devname}
Summary:	Library to perform region SeLect OPeration with mouse
Group:		Development/Tools
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	slopy-devel = %{version}-%{release}

%description -n	%{devname}
slop (Select Operation) is an application that queries for a selection
from the user and prints the region to stdout.

This sub-package contains development files for libslopy library.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
ctest -V %{?_smp_mflags}

%files
%doc README.md
%license COPYING license.txt
%{_bindir}/slop
%{_mandir}/man1/slop.1.*

%files -n %{libname}
%{_libdir}/libslopy.so.%{version}

%files -n %{devname}
%{_libdir}/libslopy.so
%{_includedir}/slop.hpp


%changelog
* Sat Jan 07 2023 squidf <squidf> 7.6-2.mga9
+ Revision: 1931170
- Mass rebuild for icu 72.1

* Mon Aug 22 2022 papoteur <papoteur> 7.6-1.mga9
+ Revision: 1879121
- new 7.6
+ squidf <squidf>
- rebuild for icu 71.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 7.5-4.mga9
+ Revision: 1738972
- rebuild for icu

* Wed Dec 02 2020 luigiwalser <luigiwalser> 7.5-3.mga8
+ Revision: 1651606
- rebuild for icu and glew

* Wed Jul 01 2020 wally <wally> 7.5-2.mga8
+ Revision: 1601066
- rebuild for icu 67.1

* Thu Jun 11 2020 daviddavid <daviddavid> 7.5-1.mga8
+ Revision: 1592331
- initial package slop

